Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512126 - [RFE] Ability to set which IFACE will be used for macvlan of egress router.
Summary: [RFE] Ability to set which IFACE will be used for macvlan of egress router.
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Eric Paris
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 22:32 UTC by Ryan Howe
Modified: 2019-02-11 18:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1513768 None CLOSED [3.6] Allow egress router to run on non-default interface 2019-01-24 17:16:59 UTC

Description Ryan Howe 2017-11-10 22:32:15 UTC
Description of problem:

At this time mavlan for the egress router is only attached to the default iface. 

https://github.com/openshift/origin/blob/release-3.6/pkg/sdn/plugin/pod_linux.go#L85
https://github.com/openshift/origin/blob/release-3.7/pkg/network/node/pod.go#L379


This RFE is to request the ability to define which iface will be used for the macvlan to attach too when the egress router is scheduled to a node.

Comment 2 Marcos Garcia 2017-11-17 14:29:52 UTC
Customer's version



OpenShift Master:

v3.6.173.0.21

Kubernetes Master:

v1.6.1+5115d708d7

Comment 3 Marcos Garcia 2017-11-17 14:35:31 UTC
As a reminder, Dan Winship suggested re-using the existing decorator

    pod.network.openshift.io/assign-macvlan: "true"

and accept further values like

    pod.network.openshift.io/assign-macvlan: "eth1"

or in our case, which will be a bonded vlan device (bond1.558)

For more info on the egress router pod macvlan feature, see https://docs.openshift.com/container-platform/3.6/admin_guide/managing_pods.html#admin-guide-deploying-an-egress-router-pod


Note You need to log in before you can comment on or make changes to this bug.